バージョン選択

フォーラム

メニュー

オンライン状況

46 人のユーザが現在オンラインです。 (29 人のユーザが フォーラム を参照しています。)
登録ユーザ: 3
ゲスト: 43
3e9d17354b cutb maimaimai もっと...

サイト内検索

プラグイン > バグ報告・利用に関する質問 > オーナーズストアからのプラグイン導入に失敗する。

バグ報告・利用に関する質問

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
minoue
投稿日時: 2019/5/31 16:07
対応状況: −−−
新米
登録日: 2019/5/31
居住地:
投稿: 1
オーナーズストアからのプラグイン導入に失敗する。
▼テンプレート
[EC-CUBE] 4.0.2
[レンタルサーバ] さくらインターネット VPS サーバ
[OS] linux
[PHP] PHP: 7.2.18
[データベース] MySQL 5.5.64-MariaDB
[WEBサーバ] Apahce
[導入プラグインの有無] なし
[カスタマイズの有無] なし(テンプレートのみ編集)
[現象]

オーナーズストアからプラグインを導入しようとすると複数回繰り返しても
システムエラーが表示され導入できない。
手動インストールでは問題なく導入が可能。

エラー確認後新規インストールした別環境でも再現


エラーログには下記がでています。

admin.ERROR [mgsocqq9a33g23ub5omblun2hv] [0a84fca] [1] [Eccube\Log\Logger:log:64] - In JsonFile.php line 300: "https://package-api.ec-cube.net/packages.json" does not contain valid JSON Parse error on line 1: ^ Expected one of: 'STRING', 'NUMBER', 'NULL', 'TRUE', 'FALSE', '{', '[' show [--all] [-i|--installed] [-p|--platform] [-a|--available] [-s|--self] [-N|--name-only] [-P|--path] [-t|--tree] [-l|--latest] [-o|--outdated] [--ignore IGNORE] [-m|--minor-only] [-D|--direct] [--strict] [-f|--format FORMAT] [--] [] [] [] [GET, /ecadmin/store/plugin/api/install/1723/confirm,
admin.INFO [mgsocqq9a33g23ub5omblun2hv] [0a84fca] [1] [Eccube\Log\Logger:log:64] - {"command":"config","setting-key":"repositories.eccube","setting-value":["{"type":"composer","url":"https:\/\/package-api.ec-cube.net","options":{"http":{"header":["X-ECCUBE-KEY: ************"]}}}"],"--working-dir":"/html","--no-ansi":true} [GET, /ecadmin/store/plugin/api/install/1723/confirm,
admin.INFO [mgsocqq9a33g23ub5omblun2hv] [0a84fca] [1] [Eccube\Log\Logger:log:64] - http get_info {"url":"https://package-api.ec-cube.net/plugin/1723","content_type":"application/json;charset=UTF-8","http_code":200,"header_size":413,"request_size":192,"filetime":-1,"ssl_verify_result":0,"redirect_count":0,"total_time":0.43831699999999996,"namelookup_time":0.001292,"connect_time":0.002124,"pretransfer_time":0.082419,"size_upload":0,"size_download":989,"speed_download":2256,"speed_upload":0,"download_content_length":-1,"upload_content_length":0,"starttransfer_time":0.438229,"redirect_time":0,"redirect_url":"","primary_ip":"133.242.233.183","certinfo":[],"message":""} [GET, /ecadmin/store/plugin/api/install/1723/confirm,
tao_s
投稿日時: 2019/6/3 17:16
対応状況: −−−
仙人
登録日: 2008/8/20
居住地: 東京
投稿: 742
Re: オーナーズストアからのプラグイン導入に失敗する。
jsonのパースエラーとのことなので、オーナーズストア周りの設定がおかしいか、PHPのjson周りの設定に問題がありませんか?


----------------
EC-CUBEカスタマイズ相談してください。
緊急のEC-CUBEの障害対応
EC-CUBEカスタマイズブログ

kazumi
投稿日時: 2019/6/10 14:13
対応状況: −−−
半人前
登録日: 2019/4/15
居住地:
投稿: 19
Re: オーナーズストアからのプラグイン導入に失敗する。
Re: オーナーズストアからのプラグイン導入に失敗する。
minoueさん、はじめまして。

こちら、symfony/flexとcomposerの一部の組み合わせのバージョンで、問題が発生する場合があるようです。

https://github.com/composer/composer/issues/7668


私の環境では、以下のコマンドでsymfony/flexをアップデートすることで動くようになりました。

composer update symfony/flex --no-plugins --no-scripts


一度、お試しください。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


ec-cube.co

統計情報

総メンバー数は44,775名です
総投稿数は91,592件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
1889
4
468
1743
5
yuh
1584
6
umebius
1296
7
red
1275
8
fukap
907
9
tsuji
837
10
shutta
827
11 ramrun 789
12
tao_s
742
13
h_tanaka
720
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 436


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© LOCKON CO.,LTD. All Rights Reserved.